# API Reference

Blink's integration is designed to be as simple as possible, it only requires switching over to Blink's RPC node endpoint.

This endpoint mirrors the APIs found by other Base Node providers: <https://docs.base.org/docs/tools/node-providers/>

Please reach out via <contact@blinklabs.xyz> to get set up with your own custom endpoint & dashboard.

## Integration Steps

* Acquire custom RPC endpoint via <contact@blinklabs.xyz>
* Switch out existing RPC endpoint for the custom Blink endpoint: `https://base.blinklabs.xyz/v1/{$API_KEY}`
* Track recoveries via Blink's dashboard

### Example request

```
{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "eth_sendRawTransaction",
    "params": [
        "0xf869018203e882520894f17f52151ebef6c7334fad080c5704d77216b732881bc16d674ec80000801ba02da1c48b670996dcb1f447ef9ef00b33033c48a4fe938f420bec3e56bfd24071a062e0aa78a81bf0290afbc3a9d8e9a068e6d74caa66c5e0fa8a46deaae96b0833",
     ],
}
```

### Example response

```
{
    "id": 1,
    "jsonrpc": "2.0",
    "result": "0xe670ec64341771606e55d6b4ca35a1a6b75ee3d5145a99d05921026d1527331"
}
```

For full documentation of the available endpoints, we suggest referring to the Chainstack documentation: <https://docs.chainstack.com/reference/base-api-reference>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blinklabs.xyz/blink/base/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
